Bug 211528 - [PATCH] kexec-tools: ia64: icache flush should align to 32-bytes
[PATCH] kexec-tools: ia64: icache flush should align to 32-bytes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
http://www.gelato.unsw.edu.au/archive...
:
Depends On:
Blocks: 229558 230398
  Show dependency treegraph
 
Reported: 2006-10-19 16:34 EDT by Terry Loftin
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 12:15:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for kexec-tools (526 bytes, patch)
2006-10-19 16:34 EDT, Terry Loftin
no flags Details | Diff

  None (edit)
Description Terry Loftin 2006-10-19 16:34:03 EDT
Description of problem:
  kdump kernel can hang in purgatory on ia64 Montecito processors
  with 24 MB of cache when the command line parameters are a 
  certain length.  See URL for a complete description.

Version-Release number of selected component (if applicable):
Tested with rhel5, beta 1 milestone 5 on ia64

How reproducible:
Use a Montecito processor with 24-MB of cache.  Excercise kdump.
If it works, add 16 spaces to the middle of the kernel command line
parameter and try again.  It should hang with one, but not the other.

Thanks - please email if you have any questions.
This patch was generated against Simon Hormans kexec-tools-testing
tree, and applies offset 1 line to the source for  kexec-tools 1.101-83.el5
-T
Comment 1 Terry Loftin 2006-10-19 16:34:03 EDT
Created attachment 138905 [details]
Patch for kexec-tools
Comment 2 Neil Horman 2006-10-20 13:51:46 EDT
fixed in -102.el5.  Thanks!
Comment 3 Jay Turner 2007-02-13 12:15:46 EST
kexec-tools-1.101-164.el5 included in 20070208.0.

Note You need to log in before you can comment on or make changes to this bug.